* {
  margin: 0;
  padding: 0;
  transition:
    filter 1s ease,
    background-color 1s ease,
    border-color 1s ease;
  user-select: none;
}

html,
body {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

#canvas {
  width: 100%;
  height: 100%;
  display: block;
}

#container {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.ui {
  font-family: "Roboto Mono", monospace;
  position: absolute;
  text-align: center;
  color: white;
}

.blur {
  filter: blur(20px);
}

.blur * {
  border-color: transparent !important;
  color: transparent !important;
}

.middle {
  transform: translate(-50%, -50%);
  left: 50%;
  top: 50%;
}

.lower {
  transform: translate(-50%, -100%);
  left: 50%;
  top: 95%;
}

.topleft {
  transform: translate(15px, 15px);
  left: 0%;
  top: 0%;
}

.heightmap {
  border-collapse: collapse;
}

.heightmap th,
.heightmap td {
  border: 2px solid white;
}

.heightmap td {
  background-color: #808080cc;
  font-size: 20px;
  font-weight: bold;
  padding: 2px;
  min-width: 70px;
}

.highlighted {
  background-color: yellow !important;
  color: black;
}
